﻿Configuration CIM
{
    Import-DscResource -ModuleName xCIMSecurity
    Node localhost
    {
        xCIMSecurity dns
        {
            NameSpace = "root\microsoft\windows\Dns"
            AccountName = "strike"

            ACL =
            @(
                cim_acl 
                {
                    AceFlags = 'NameSpaceOnly'
                    Allow = $true
                    right = 'Enable','PartialWrite'
                };
                cim_acl 
                {
                    AceFlags = 'NameSpaceOnly'
                    Allow = $false
                    right = 'RemoteAccess'
                }
            )
        }
    }
}

Cim -OutputPath c:\cim
Start-DscConfiguration C:\cim -Verbose -Wait -Force


